package com.railway.web.controller.business.baseinfo;

import com.railway.business.baseinfo.domain.BasePreventThunder;
import com.railway.business.baseinfo.service.IBasePreventThunderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.WebDataBinder;
import com.railway.common.core.controller.BaseController;
import com.railway.common.core.domain.AjaxResult;
import com.railway.common.core.page.TableDataInfo;
import javax.validation.Valid;
import java.util.List;

import javax.validation.Valid;

@Api(value = "rest/baseinfo/base/prevent/thunder", tags = "基础数据-九防台账-防雷")
@RestController
@Validated
@RequestMapping(value = "business/baseinfo/base/prevent/thunder")
public class BasePreventThunderController extends BaseController {
    @Autowired
    private IBasePreventThunderService basePreventThunderService;

    @ApiOperation(value = "新增")
    @PostMapping("/add")
    public AjaxResult add(@Validated @RequestBody BasePreventThunder basePreventThunder) {
        return toAjax(basePreventThunderService.create(basePreventThunder));
    }

    @ApiOperation(value = "删除")
    @DeleteMapping("/{ids}")
    public AjaxResult delete(@RequestParam String[] ids) {
        return toAjax(basePreventThunderService.delete(ids));
    }

    @ApiOperation(value = "更新")
    @PutMapping("/update")
    public AjaxResult update(@RequestBody @Valid BasePreventThunder basePreventThunder) {
        return toAjax(basePreventThunderService.update(basePreventThunder));
    }

    @ApiOperation(value = "单个")
    @GetMapping(value = {"/", "/{id}"})
    public AjaxResult getInfo(String id) {
        BasePreventThunder info = basePreventThunderService.getInfo(id);
        AjaxResult ajax = AjaxResult.success();
        ajax.put("info",info);
        return ajax;
    }

    @ApiOperation(value = "列表")
    @GetMapping(value = "list")
    public TableDataInfo getList(BasePreventThunder basePreventThunder) {
        startPage();
        List<BasePreventThunder> list = basePreventThunderService.getList(basePreventThunder);
        return getDataTable(list);
    }

}
